Subject: Re: bug#15955: df hides original mount point instead of bind mount

From: Bernhard Voelker <[email-masked]>
Date: Sun, 24 Nov 2013 11:24:42 +0100

On 11/24/2013 02:08 AM, Phillip Susi wrote:
> On 11/22/2013 08:11 PM, Bernhard Voelker wrote:
>> Thanks for the bug report.
>> However, IIRC that behavior was fixed in v8.21.  Since then, df(1)
>> shows the *shortest* mount point for the same bind mount.
>> Looking into the Fedora bug tracker, this method of reducing duplicates
>> among (possibly mass) bind mounts seems also not to have too many fans,
>> but until now we didn't find a better method.
> 
> Yes, that explains it; I had bound a longer path to /mnt to test.
> Why not show the oldest mount point instead?

Thanks for the suggestion, but that is not possible.  For the kernel,
all bind mounts are actually equal among each other, and there's no
information about "bind" flags in /proc/self/mounts (which 'df' uses).

Have a nice day,
Berny